<?php

/* -----------------------------------------------------------------------------
  class name: translate
  class version: 1.0
  date: 2007-11-04
  ------------------------------------------------------------------------------
  author: grum at grum.dnsalias.com
  << May the Little SpaceFrog be with you >>
  ------------------------------------------------------------------------------

   this classes provides base functions to manage call to "tanslate.google.com"

    php.ini option "allow_url_fopen" must be set to "1", otherwise, this class can't
    use fopen function to http: protocol

    - constructor translate()
    - (public) function set_languages($lang)
    - (public) function get_languages($lang)
    - (public) function set input_charset($charset)
    - (public) function set output_charset($charset)
    - (public) function do_translation($text)
   ---------------------------------------------------------------------- */
class translate
{
  var $from_to_lang;
  var $input_charset;
  var $ouput_charset;

  var $language_list;

  function translate()
  {
    $this->from_to_lang="fr|en";
    $this->input_charset="UTF-8";
    $this->output_charset="UTF-8";

    //alloweds from->to transations languages
    //google allows more translation, but for the moment, this plugin only accept these
    $language_list=array_flip(array('fr|en', 'en|fr'));
  }

  function set_languages($lang)
  {
    if(isset($language_list[$lang]))
    {
      $this->from_to_lang=$lang;
    }
    return($this->from_to_lang);
  }

  function get_languages()
  {
    return($this->from_to_lang);
  }

  function set_input_charset($charset)
  {
    $this->input_charset=$charset;
  }

  function get_input_charset($charset)
  {
    return($this->input_charset);
  }

  function set_output_charset($charset)
  {
    $this->output_charset=$charset;
  }

  function get_output_charset($charset)
  {
    return($this->output_charset);
  }

  function do_translation($text)
  {
    if(ini_get('allow_url_fopen')!="1")
    {
      return("");
    }

    $req="http://translate.google.com/translate_t?text=".urlencode($text).
         "&langpair=".$this->from_to_lang;
    if($this->input_charset!="")
    {
      $req.="&ie=".$this->input_charset;
    }
    if($this->output_charset!="")
    {
      $req.="&oe=".$this->output_charset;
    }

    $handle=fopen($req, "r");
    if($handle)
    {
      $contents="";
      while (!feof($handle))
      {
        $contents .= fread($handle, 4196);
      }
      fclose($handle);

      $search="<div id=result_box dir=ltr>";
      $p = strpos($contents, $search);
      $contents=substr($contents, $p+strlen($search));
      $search="</div>";
      $p = strpos($contents, $search);
      $contents=substr($contents, 0, $p);

      return($contents);
    }
    else
    {
      return("");
    }
  }

} //class

?>