<?php
/*
Plugin Name: MyPolls-II
Version: 2.0.0-beta
Description: Plugin pour faire des sondages sur sa gallerie / Plugin to carry out surveys on its gallery 
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=181
*/

/*
--------------------------------------------------------------------------------
  Author     : Grum
    email    : grum@grum.dnsalias.com
    website  : http://photos.grum.dnsalias.com
    PWG user : http://forum.phpwebgallery.net/profile.php?id=3706

    << May the Little SpaceFrog be with you ! >>
--------------------------------------------------------------------------------

:: HISTORY
  2.0.0-beta - 04/11/07 +refonte complte du plugin
                      
:: TO DO

--------------------------------------------------------------------------------
*/

// pour faciliter le debug :o)
// ini_set('error_reporting', E_ALL);
// ini_set('display_errors', true);

if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $prefixeTable, $user, $lang;

define('MYPOLLS_DIR' , basename(dirname(__FILE__)));
define('MYPOLLS_PATH' , PHPWG_PLUGINS_PATH . MYPOLLS_DIR . '/');

define('MYPOLLS_VERSION' , '2.0.0-beta');

if(basename($_SERVER["PHP_SELF"])=='admin.php')
{
  $user['language']='';
  include_once(get_language_filepath('plugin.lang.php',MYPOLLS_PATH));
  include_once("plugin_class_bo.inc.php");

  $obj=new bo_mypolls($prefixeTable, __FILE__);
  /*
    can't put this function here because $user not defined, and if $user not define,
    it's not possible to check user's admin possibilities (is_adviser())
    so function is called in the plugin_admin.php file
    $obj->return_ajax_content(); //if is ajax content, don't need to do all....
  */
  $obj->init_events();
}
else
{
  $user['language']='';
  include_once(get_language_filepath('plugin.lang.php',MYPOLLS_PATH));
  include_once("plugin_class_fo.inc.php");
  $obj=new fo_mypolls($prefixeTable, __FILE__);
  /*
    ajax function putted here because don't need to know user's possibilities
    (no functions allowing to modify database)
    calling this function here allow to die script and return immediately data
    without doing everything (making pwg page)
  */
  $obj->return_ajax_content(); //if is ajax content, don't need to do all stuff....
  $obj->init_events();
}

set_plugin_data($plugin['id'], $obj)

?>
